OpenNMS API 1.2.9

## org.opennms.netmgt.rtc.utils
Class PipedMarshaller.MarshalThread

    java.lang.Object
      org.opennms.netmgt.rtc.utils.PipedMarshaller.MarshalThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  PipedMarshaller

private class PipedMarshaller.MarshalThread
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`private java.io.PipedReader` `m_in`
`private EuiLevel` `m_obj`
`private java.io.PipedWriter` `m_out`

Constructor Summary
`(package private)` `PipedMarshaller.MarshalThread(EuiLevel inp)`

Method Summary
`(package private) java.io.Reader` `getReader()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_out

    private java.io.PipedWriter m_out

### m_in

    private java.io.PipedReader m_in

### m_obj

    private EuiLevel m_obj

Constructor Detail

### PipedMarshaller.MarshalThread

    PipedMarshaller.MarshalThread(EuiLevel inp)
                            throws java.io.IOException

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getReader

    java.io.Reader getReader()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.